/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class NombreOccurrences {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));
  
  /* Fonction d'initialisation d'un tableau               */
  /* avec des valeurs tirees au hasard entre 0 et 9       */
  
  public static void initTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      t[i] =(int) (Math.random()*10);
  }
  
  /* Fonction d'affichage d'un tableau                    */

  public static void afficheTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      System.out.print(t[i]+" ");
    System.out.println();
  }
  
  public static int nombreOccurence(int [] t,int v) {
    int cpt = 0;
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      if ( t[i] == v )
        cpt++;
    return(cpt);
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) throws IOException {
    int [] t = new int[20];
    initTableau(t);
    System.out.println("Contenu du tableau : ");
    afficheTableau(t);
    System.out.print("Valeur a rechercher : ");
    int v = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Le nombre d'occurrences de "+v+" est : "+nombreOccurence(t,v));
  }
}